commit:     9212cc29e214c98e3b1a34a96fe6e18ba6f0181a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu May 29 13:33:14 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu May 29 13:39:05 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9212cc29

dev-python/magic-wormhole: Bump to 0.19.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/magic-wormhole/Manifest                 |  1 +
 .../files/magic-wormhole-0.19.0-test.patch         | 25 +++++++
 .../magic-wormhole/magic-wormhole-0.19.0.ebuild    | 80 ++++++++++++++++++++++
 3 files changed, 106 insertions(+)

diff --git a/dev-python/magic-wormhole/Manifest 
b/dev-python/magic-wormhole/Manifest
index 5f71ba6ebfff..5ed91f3881be 100644
--- a/dev-python/magic-wormhole/Manifest
+++ b/dev-python/magic-wormhole/Manifest
@@ -1 +1,2 @@
 DIST magic-wormhole-0.18.0.tar.gz 289799 BLAKE2B 
ff786e3247dcc382fa35175d6439c6273b420968100cc6e54a06e365b8d6db5a9a5145878d4025f51fe59cf75e18507d5114d04a13123ef62b255a61b3c55698
 SHA512 
095be448fb654a32ea45808f03b1a0bffd74ee683448085f1e6f14f054c0d2f19f9048270be4ec7b6a0b46872d20613a36e984a0a137bd68ba3d0a237a83d1b2
+DIST magic_wormhole-0.19.0.tar.gz 304886 BLAKE2B 
1e7f5e39e5307998beea0d67bb44b92dffacb7d2e31e607b88f47ed959e5517ab29d2837ec7f22dfe5a6564b01a50324f6125dda2a5ae0ce7d2135244e3e65e8
 SHA512 
37ef948871c9449c3147d3615619b2c28b7969d020c34a447d8b0c8894a3e4ed64bbe2d3aa53e2c2f1cb80063f9df48866445395332cd29dcd10e4007a3fc375

diff --git a/dev-python/magic-wormhole/files/magic-wormhole-0.19.0-test.patch 
b/dev-python/magic-wormhole/files/magic-wormhole-0.19.0-test.patch
new file mode 100644
index 000000000000..8fa0c26c4ad3
--- /dev/null
+++ b/dev-python/magic-wormhole/files/magic-wormhole-0.19.0-test.patch
@@ -0,0 +1,25 @@
+From ce227a431466bee39d2ad6e96533736872300d55 Mon Sep 17 00:00:00 2001
+From: meejah <[email protected]>
+Date: Thu, 29 May 2025 01:58:08 -0600
+Subject: [PATCH 2/2] advertise our actual version
+
+---
+ src/wormhole/test/conftest.py | 3 ++-
+ 1 file changed, 2 insertions(+), 1 deletion(-)
+
+diff --git a/src/wormhole/test/conftest.py b/src/wormhole/test/conftest.py
+index 3e42adc5..81f6b599 100644
+--- a/src/wormhole/test/conftest.py
++++ b/src/wormhole/test/conftest.py
+@@ -19,9 +19,10 @@ def reactor():
+ 
+ @pytest.fixture(scope="session")
+ def mailbox(reactor):
++    from wormhole import __version__
+     mb = pytest_twisted.blockon(
+         ensureDeferred(
+-            setup_mailbox(reactor, advertise_version="1.2.3")
++            setup_mailbox(reactor, advertise_version=str(__version__))
+         )
+     )
+     mb.service.startService()

diff --git a/dev-python/magic-wormhole/magic-wormhole-0.19.0.ebuild 
b/dev-python/magic-wormhole/magic-wormhole-0.19.0.ebuild
new file mode 100644
index 000000000000..9e8fbb975b7b
--- /dev/null
+++ b/dev-python/magic-wormhole/magic-wormhole-0.19.0.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1 pypi shell-completion
+
+DESCRIPTION="Get Things From One Computer To Another, Safely"
+HOMEPAGE="
+       https://magic-wormhole.readthedocs.io/en/latest/
+       https://github.com/magic-wormhole/magic-wormhole/
+       https://pypi.org/project/magic-wormhole/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+       >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+       >=dev-python/autobahn-0.14.1[${PYTHON_USEDEP}]
+       dev-python/automat[${PYTHON_USEDEP}]
+       dev-python/click[${PYTHON_USEDEP}]
+       dev-python/cryptography[${PYTHON_USEDEP}]
+       dev-python/humanize[${PYTHON_USEDEP}]
+       >=dev-python/iterable-io-1.0.0[${PYTHON_USEDEP}]
+       dev-python/noiseprotocol[${PYTHON_USEDEP}]
+       dev-python/pynacl[${PYTHON_USEDEP}]
+       >=dev-python/qrcode-8.0[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       ~dev-python/spake2-0.9[${PYTHON_USEDEP}]
+       >=dev-python/tqdm-4.13.0[${PYTHON_USEDEP}]
+       dev-python/twisted[ssl,${PYTHON_USEDEP}]
+       >=dev-python/txtorcon-18.0.2[${PYTHON_USEDEP}]
+       >=dev-python/zipstream-ng-1.7.1[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+       dev-python/versioneer[${PYTHON_USEDEP}]
+       test? (
+               dev-python/magic-wormhole-mailbox-server[${PYTHON_USEDEP}]
+               ~dev-python/magic-wormhole-transit-relay-0.3.1[${PYTHON_USEDEP}]
+               dev-python/pytest-twisted[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       local PATCHES=(
+               # https://github.com/magic-wormhole/magic-wormhole/pull/626
+               "${FILESDIR}/${P}-test.patch"
+       )
+
+       distutils-r1_src_prepare
+       rm versioneer.py || die
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # repr() mismatch over different mailbox-server version
+               src/wormhole/test/test_args.py::test_receive_receive
+               src/wormhole/test/test_args.py::test_receive_send
+       )
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest -p pytest_twisted
+}
+
+src_install() {
+       distutils-r1_src_install
+
+       newbashcomp "${ED}/usr/wormhole_complete.bash" wormhole
+       newfishcomp "${ED}/usr/wormhole_complete.fish" wormhole.fish
+       newzshcomp "${ED}/usr/wormhole_complete.zsh" _wormhole
+       rm "${ED}/usr"/wormhole_complete* || die
+}

Reply via email to